summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2006-01-13 03:39:49 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:50:59 -0500
commit58f78fa182c4b4a046b957c89988d34ea2125696 (patch)
tree095fc563234da507b8f366ba98a0eeb0781e339b /source4/script
parent792951a36535c9345e6027e0940d97d511282302 (diff)
downloadsamba-58f78fa182c4b4a046b957c89988d34ea2125696.tar.gz
samba-58f78fa182c4b4a046b957c89988d34ea2125696.tar.bz2
samba-58f78fa182c4b4a046b957c89988d34ea2125696.zip
r12892: Add a 'Migrate from Windows' page to our installation section in SWAT.
Doing this required reworking ejsnet, particularly so it could take a set of credentials, not just a username and password argument. This required fixing the ejsnet.js test script, which now adds and deletes a user, and is run from 'make test'. This should prevent it being broken again. Deleting a user from ejsnet required that the matching backend be added to libnet, hooking fortunetly onto already existing code for the actual deletion. The js credentials interface now handles the 'set machine account' flag. New functions have been added to provision.js to wrap the basic operations (so we can write a command line version, as well as the web based version). Andrew Bartlett (This used to be commit a5e7c17c348c45e61699cc1626a0d5eae2df4636)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/tests/test_ejs.sh6
-rw-r--r--source4/script/tests/tests_all.sh2
2 files changed, 5 insertions, 3 deletions
diff --git a/source4/script/tests/test_ejs.sh b/source4/script/tests/test_ejs.sh
index 2f1a2abcad..6df202122a 100755
--- a/source4/script/tests/test_ejs.sh
+++ b/source4/script/tests/test_ejs.sh
@@ -3,12 +3,12 @@
if [ $# -lt 3 ]; then
cat <<EOF
-Usage: test_ejs.sh SERVER USERNAME PASSWORD
+Usage: test_ejs.sh DOMAIN USERNAME PASSWORD
EOF
exit 1;
fi
-SERVER="$1"
+DOMAIN="$1"
USERNAME="$2"
PASSWORD="$3"
@@ -24,6 +24,8 @@ for f in samr.js echo.js ldb.js; do
testit "$f" $SCRIPTDIR/$f $CONFIGURATION ncalrpc: -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`
done
+testit "ejsnet.js" $SCRIPTDIR/ejsnet.js $CONFIGURATION -U$USERNAME%$PASSWORD $DOMAIN ejstestuser || failed=`expr $failed + 1`
+
testit "winreg" scripting/bin/winreg $CONFIGURATION ncalrpc: 'HKLM' -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`
testok $0 $failed
diff --git a/source4/script/tests/tests_all.sh b/source4/script/tests/tests_all.sh
index 8abebf0dce..70e72e7240 100644
--- a/source4/script/tests/tests_all.sh
+++ b/source4/script/tests/tests_all.sh
@@ -1,4 +1,4 @@
- $SRCDIR/script/tests/test_ejs.sh $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_ejs.sh $DOMAIN $USERNAME $PASSWORD || failed=`expr $failed + $?`
$SRCDIR/script/tests/test_ldap.sh $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
$SRCDIR/script/tests/test_nbt.sh $SERVER || failed=`expr $failed + $?`
$SRCDIR/script/tests/test_quick.sh //$SERVER/cifs $USERNAME $PASSWORD "" || failed=`expr $failed + $?`